## org.hibernate.internal.util
Interface Value.DeferredInitializer<T>

Type Parameters:
  `T` -

Enclosing class:
  Value<T>

    public static interface Value.DeferredInitializer<T>

The snippet that generates the initialization value.

Method Summary
`T` `initialize()` Build the initialization value.

Method Detail

### initialize

    T initialize()

  Build the initialization value.

  Implementation note: returning `null` is "ok" but will cause this method to keep being called.

  Returns:
    The initialization value.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.